Bug 450080 - NetworkManager doesn't detect T-mobile 4G PC Card as mobile broadband
NetworkManager doesn't detect T-mobile 4G PC Card as mobile broadband
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
19
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
: Reopened, Triaged
: 726662 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 03:45 EDT by Miroslav Pragl
Modified: 2013-04-05 13:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-05 13:40:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lshal (120.50 KB, text/plain)
2009-06-11 17:50 EDT, Jaromír Talíř
no flags Details

  None (edit)
Description Miroslav Pragl 2008-06-05 03:45:40 EDT
Description of problem:
NetworkManager doesn't detect T-mobile 4G PC Card as mobile broadband (module
ipwireless)


Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.9.3.svn3623.fc9.x86_64


How reproducible:
NM doesn't detect the card as broadband mobile device so I can't use it from NM


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Dan Williams 2008-07-02 22:03:30 EDT
Is the card a GSM-style card or something different entirely?  Can you get the
card's response to the "AT+GCAP" command in something like miniterm?
Comment 2 Miroslav Pragl 2008-07-03 02:10:13 EDT
Yes, it's kinda GSM style card with SIM inserted. Can do SMS, GPRS/Edge, 4G. 
Dials *99#, needs  AT+CGDCONT=1,“PPP“,“internet.t-mobile.cz“,“0,0“,0,0 

Will send the response ASAP.

MP
Comment 3 Dan Williams 2008-07-03 12:08:20 EDT
Ok, great.  Let me know when you do then we can add it to HAL.
Comment 4 Miroslav Pragl 2008-07-03 13:06:51 EDT
AT+GCAP
+GCAP: +CBC,+CGDCONT,+CLCK,+CMEE,+COPS,+CPOST,+CSQ,+IPR

MP
Comment 5 Dan Williams 2008-07-03 14:24:10 EDT
Ouch.  No +CGSM at all, which means it's not really GSM.  I know the IPWireless
"4G" mode uses a proprietary air interface that's not standardized but was
hoping that it was close enough to GSM that it would work.  Not entirely sure. 
The best we can do is probably just assume it's GSM-based and go from there.  Do
you need to set the APN at all?
Comment 6 Miroslav Pragl 2008-07-31 11:22:54 EDT
Yes, APN is cruicial.

See, if NM could handle "generic modems" or even existing wvdial connections I 
would NOT bug here :(

So far I use system-config-network.

MP
Comment 7 Dan Williams 2008-07-31 15:54:43 EDT
Even generic modem support wouldn't work, because you need to use a separate
CGDCONT command (with the PDP type "PPP") on the IPWireless hardware, which
isn't used with on any modems other than the IPWireless part.  I doubt wvdial
can figure this out automatically either unless it's got special support for the
IPWireless part.
Comment 8 Miroslav Pragl 2008-07-31 16:28:39 EDT
Sorry? Generic modem can be configured using custom AT sequences - because it 
is generic modem. No matter what the AT.. command is (+CGDCONT, &F, Z, X3 ...)

MP
Comment 9 William Lovaton 2008-09-23 10:44:59 EDT
Sorry for asking here, but I need help with my broadband.

I've tried several devices like the Alcatel One Touch x030 Modem HSDPA USB but I don't get it to work.

I am using Rawhide (soon to be Fedora 10) but it doesn't work.  I plug it in and the only thing I get in /var/log/messages are USB storage related.  I don't see anything in NetworkManager.

It's really difficult to find a document with supported devices out there.  Where I can find documentation on how to work with this little devices??  I mean, I have a lot of experience with Linux but I don't really understand all of the terminology related to this broadband thing.

Thanks for your help.
Comment 10 Dan Williams 2008-09-23 13:22:25 EDT
(In reply to comment #9)
> Sorry for asking here, but I need help with my broadband.

Yeah, this bug is about the IPWireless 4G card specifically, which is *cough* "special".

> I've tried several devices like the Alcatel One Touch x030 Modem HSDPA USB but
> I don't get it to work.
> 
> I am using Rawhide (soon to be Fedora 10) but it doesn't work.  I plug it in
> and the only thing I get in /var/log/messages are USB storage related.  I don't
> see anything in NetworkManager.

The problem here is that the device has a USB Storage component that is noticed first by the kernel, like the Option iCON 225 and others.  NetworkManager isn't involved here at all, it's a kernel/udev issue:

1) the driver needs to know about these devices to suppress the USB Storage component of the device and only bind the 3G driver to it

2) or, the less-preferred option is to use udev rules to run the device-specifc (for Option it's 'rezero' for example) unmount operations
Comment 11 William Lovaton 2008-09-24 09:10:40 EDT
Thanks for your answer, but I don't see how both situations are exclusive.  I mean, when I plug the device into an USB port I'd like to get access to the storage and the network capabilities at the same time.

I now understand that this is a kernel/udev problem like you said but I'd like to see a solution where both features work at the same time.

How do I find the device-specific unmount operation?  What can I do if I want to ignore the USB storage component of the device?  I'd really like to find good info about this on the net, any pointers?

Thanks.
Comment 12 Dan Williams 2009-03-20 18:55:37 EDT
Any chance somebody with a real "IPWireless 4G" card could connect to it with minicom and grab the output of:

ATI
AT+GCAP

for me?  Thanks!
Comment 13 Dan Williams 2009-03-20 18:59:07 EDT
(In reply to comment #12)
> Any chance somebody with a real "IPWireless 4G" card could connect to it with
> minicom and grab the output of:
> 
> ATI
> AT+GCAP
> 
> for me?  Thanks!  

Nevermind about the AT+GCAP, but ATI would still be very useful.
Comment 14 Dan Williams 2009-04-01 10:05:25 EDT
Also, can I get the 'lshal' output for the machine when the card is plugged in?
Comment 15 Niels Haase 2009-04-08 16:59:59 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 16 Miroslav Pragl 2009-04-09 01:55:52 EDT
Sorry for delay.
For many reasons / problems with T-Mobile 4G card / we just switched to different operator so I don't have the card anymore.

MP
Comment 17 Niels Haase 2009-04-09 04:06:58 EDT
Thanks for the quick response.

Since there are insufficient details provided in this report for us to investigate the issue further, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 18 Jaromír Talíř 2009-06-11 17:48:34 EDT
I would like to help with enabling this card in NetworkManager, because it's not still detected. I use latest Fedora 11 containing this version of NetworkManager:

NetworkManager.i586                 1:0.7.1-4.git20090414.fc11         installed
NetworkManager-glib.i586            1:0.7.1-4.git20090414.fc11         installed
NetworkManager-gnome.i586           1:0.7.1-4.git20090414.fc11         installed
NetworkManager-openvpn.i586         1:0.7.0.99-1.fc11                  installed
NetworkManager-vpnc.i586            1:0.7.0.99-1.fc11                  installed

Additional data:

Boot log:
Jun 11 23:19:41 localhost kernel: pcmcia_socket pcmcia_socket0: pccard: PCMCIA card inserted into slot 0
Jun 11 23:19:41 localhost kernel: pcmcia_socket pcmcia_socket0: cs: memory probe 0xefb00000-0xefbfffff: excluding 0xefb00000-0xefb0ffff 0xefbf0000-0xefbfffff
Jun 11 23:19:41 localhost kernel: pcmcia 0.0: pcmcia: registering new device pcmcia0.0
Jun 11 23:19:41 localhost kernel: PPP generic driver version 2.4.2
Jun 11 23:19:41 localhost kernel: ipwireless 1.1 by Stephen Blackheath, Ben Martel, Jiri Kosina and David Sterba
Jun 11 23:19:41 localhost kernel: ipwireless: Card type V2/V3
Jun 11 23:19:41 localhost kernel: ipwireless: I/O ports 0x2100-0x2101, irq 3
Jun 11 23:19:41 localhost kernel: ipwireless: attr memory 0xefb12000-0xefb12fff, common memory 0xefb11000-0xefb11fff
Jun 11 23:19:41 localhost kernel: ipwireless: registering modem device ttyIPWp0
Jun 11 23:19:41 localhost kernel: ipwireless: registering monitor device ttyIPWp8
Jun 11 23:19:41 localhost kernel: ipwireless: waiting for card to start up...
Jun 11 23:19:49 localhost kernel: ipwireless: card is ready.

Adding ln -s /dev/ttyIPWp0 /dev/modem and running minicom:
AT S7=45 S0=0 L1 V1 X4 &c1 E1 Q0                     
OK                                                   
ATI                                                  
9600

OK
AT+GCAP
+GCAP: +CBC,+CGDCONT,+CLCK,+CMEE,+COPS,+CPOST,+CSQ,+IPR

OK

lshal output is a little bit large so I will put it as attachment
Comment 19 Jaromír Talíř 2009-06-11 17:50:38 EDT
Created attachment 347486 [details]
Output of lshal
Comment 20 Jaromír Talíř 2009-06-11 18:08:16 EDT
PPP configuration:
/etc/ppp/peers/tm4g:
 hide-password
 nopcomp
 noauth
 connect "/usr/sbin/chat -v -f etc/chatscripts/tm4g"
 debug
 /dev/ttyIPWp0
 230400
 defaultroute
 noipdefault
 usepeerdns
 persist
 holdoff 1
 user "gprs"
 ipparam tmobile
 mtu 1020

/etc/chatsripts/tm4g:
 ABORT BUSY ABORT 'NO CARRIER' ABORT ERROR
 '' AT
 AT ""
 OK AT+CGDCONT=1,"PPP","internet.t-mobile.cz","0,0",0,0
 OK "ATDT*99#"
 CONNECT \d\c

/etc/ppp/chap-secrets:
 "gprs" * "gprs"

It's also possible with this card to switch networks:
 AT+CFUN=4,0 (automatic network detection)
 AT+CFUN=4,1 (GPRS/EDGE)
 AT+CFUN=4,2 (4G)
Comment 21 Jaromír Talíř 2009-06-11 18:18:24 EDT
I would like to reopen this ticket but I don't see any Reopen button :(
Comment 22 Niels Haase 2009-06-12 02:27:53 EDT
(In reply to comment #21)
> I would like to reopen this ticket but I don't see any Reopen button :(  

Sine you are not the original reporter of the bug, you lack the power of reopen it. But don't worry about. I reopen it and assign him to the developer since now we have all relevant informations. Thank you for providing this!

Also changed the Version from F9 to F11.

This bug has been triaged

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 23 Dan Williams 2010-02-03 04:48:44 EST
If anyone is still watching this ticket and has one of these, can I get the output of:

AT+CSTATUS
AT+CSTATUS?
AT+CPOST
AT&V
AT+CLAC
AT+CLAC?

thanks!
Comment 24 Dan Williams 2010-02-03 04:50:16 EST
Also:

AT+LSTATUS?
Comment 25 Dan Williams 2010-02-03 04:51:23 EST
And also:

AT+CSQ
AT+COPS?
AT+CGATT?
Comment 26 Jirka Klimes 2010-03-25 05:36:13 EDT
Hi Dan,

I've borrowed the card for a few days. Here is the output of the commands:
Welcome to minicom 2.3

OPTIONS: I18n 
Compiled on Jul 26 2009, 22:02:23.
Port /dev/ttyIPWp0

                  Press CTRL-A Z for help on special keys                                                           
                                                                                                                    
AT S7=45 S0=0 L1 V1 X4 &c1 E1 Q0                                                                                    
OK                                                                                                                  
AT+CSTATUS                                                                                                          
ERROR
AT+CSTATUS?
+CSTATUS: 24,3.84,0,5,20,33,0,0,-70.4,-69.9,-72.2,-72.1,-68.2

OK
AT+CPOST
+CPOST: 00000000

OK
AT&V
ACTIVE PROFILE:
E1 Q0 V1 X4 &C1 &D2 &S0 &Y0 
S00:000 S01:000 S02:043 S03:013 S04:010 S05:008 S07:045 S08:002 
S09:006 S10:014 S12:050 S14:138 S21:052 S22:069 S25:005 S27:002 
S36:000 S37:000 S38:020 S39:003 S61:000 S95:000 


STORED PROFILE 0:
E1 Q0 V1 X4 &C1 &D2 &S0 
S00:000 S01:000 S02:043 S03:013 S04:010 S05:008 S07:050 S08:002 
S09:006 S10:014 S12:050 S14:138 S21:052 S22:069 S25:005 S27:002 
S36:000 S37:000 S38:020 S39:003 S61:000 S95:000 


STORED PROFILE 1:
E1 Q0 V1 X4 &C1 &D2 &S0 
S00:000 S01:000 S02:043 S03:013 S04:010 S05:008 S07:050 S08:002 
S09:006 S10:014 S12:050 S14:138 S21:052 S22:069 S25:005 S27:002 
S36:000 S37:000 S38:020 S39:003 S61:000 S95:000 


OK
AT+CLAC
ERROR
AT+CLAC?
ERROR
AT+LSTATUS?
+LSTATUS: 22835,22835,96,0,30210,30210,4524,0,0,0,0,0,500,5000,0,30210,0,0,0,0

OK
AT+CSQ
+CSQ: 34,99,-71,-73,5

OK
AT+CSQ
+CSQ: 34,99,-71,-74,5

OK
AT+COPS?
+COPS: 1,2,"23001"

OK
AT+CGATT?
ERROR
AT+CGMI
+CGMI: IPWireless Inc

OK
AT+CGMM
+CGMM: PCMCIA V3

OK
AT+CGMR
+CGMR: 5.2.5.59v.2 / A1 (3.20) / A2 (3.20); 5.2.5.59v.2 / REVISION 03.010

OK
AT+CGSN
+CGSN: 359595000111589

OK

Let me know, if you want some other info.
Comment 27 Dan Williams 2010-04-12 04:15:18 EDT
AT+CPIN?
AT+CSCS=?
AT+CREG?
AT+CREG=?
AT+CEER
AT+CGDCONT?
AT+CGDCONT=?
AT+COPS=0,,
AT+COPS=0

Thanks!
Comment 28 Jirka Klimes 2010-04-12 04:34:35 EDT
AT+CPIN?
+CPIN: READY

OK
AT+CSCS=?
+CSCS: ("IRA")

OK
AT+CREG?
+CREG: 0,5

OK
AT+CREG=?
+CREG: (0-2)

OK
AT+CEER
+CEER: Normal disconnect

OK
AT+CGDCONT?
+CGDCONT: 1,"PPP","internet.t-mobile.cz","0,0",0,0

OK
AT+CGDCONT=?
+CGDCONT: (1),("PPP"),,,(0),(0)

OK
AT+COPS=0,,
OK
AT+COPS=0
OK
AT+GCAP
+GCAP: +CBC,+CGDCONT,+CLCK,+CMEE,+COPS,+CPOST,+CSQ,+IPR

OK
Comment 29 Bug Zapper 2010-11-04 07:53:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 Bug Zapper 2010-12-05 02:10:27 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 31 Dan Williams 2011-07-29 13:42:49 EDT
*** Bug 726662 has been marked as a duplicate of this bug. ***
Comment 32 Dan Williams 2011-07-29 14:47:41 EDT
For the record, the Netgear MBR814XUC GPL code has some more information about the card, which is probably where I got the other commands from originally.  It says:

AT+CSQ"		//request signal quality and info
AT+CGATT?	//request cell info
AT+COPS?	//request operator info
AT+CSTATUS?	//report cell selection info
AT+LSTATUS?	//report L1stats
AT+CEER		//extended error report

It doesn't go into detail about the results of those commands though, and it's a very limited command set that differs from the 3GPP/ETSI UMTS command sets.  Thus we'd probably implement a completely new plugin for these things instead of piggy-backing on the generic GSM plugin.
Comment 33 Fedora End Of Life 2013-04-03 16:01:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 34 Dan Williams 2013-04-05 13:40:37 EDT
Honestly we're not ever going to get support for this device or other IPWireless stuff, so closing WONTFIX to focus on UMTS/LTE and CDMA/LTE.

Note You need to log in before you can comment on or make changes to this bug.